gRPC C#
gRPC C#
Namespaces
Grpc.Core
CallInvocationDetails(TRequest, TResponse) Structure
CallInvocationDetails(TRequest, TResponse) Constructor
CallInvocationDetails(TRequest, TResponse) Constructor (Channel, Method(TRequest, TResponse), CallOptions)
CallInvocationDetails(TRequest, TResponse) Constructor (Channel, Method(TRequest, TResponse), String, CallOptions)
CallInvocationDetails(TRequest, TResponse) Constructor (Channel, String, String, Marshaller(TRequest), Marshaller(TResponse), CallOptions)

CallInvocationDetails TRequest, TResponse Constructor (Channel, Method TRequest, TResponse , CallOptions)

Initializes a new instance of the CallInvocationDetails
TRequest, TResponse
struct.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public CallInvocationDetails(
    	Channel channel,
    	Method<TRequest, TResponse> method,
    	CallOptions options
    )

    Public Sub New (
    	channel As Channel,
    	method As Method(Of TRequest, TResponse),
    	options As CallOptions
    )

    public:
    CallInvocationDetails(
    	Channel^ channel,
    	Method<TRequest, TResponse>^ method,
    	CallOptions options
    )

    new :
            channel : Channel *
            method : Method<'TRequest, 'TResponse> *
            options : CallOptions -> CallInvocationDetails

#### Parameters

channel
  Type: Grpc.Core
  Channel
  Channel to use for this call.
method
  Type: Grpc.Core
  Method
  TRequest, TResponse
  Method to call.
options
  Type: Grpc.Core
  CallOptions
  Call options.

See Also

#### Reference

CallInvocationDetails
TRequest, TResponse
Structure
CallInvocationDetails
TRequest, TResponse
Overload
Grpc.Core Namespace